Package org.fife.ui.rtextarea

## Interface RTextAreaHighlighter.LayeredHighlightInfo

- All Superinterfaces:
    `Highlighter.Highlight`, `RTextAreaHighlighter.HighlightInfo`
  All Known Implementing Classes:
    `RTextAreaHighlighter.LayeredHighlightInfoImpl`
  Enclosing class:
    RTextAreaHighlighter

      public static interface RTextAreaHighlighter.LayeredHighlightInfo
      extends RTextAreaHighlighter.HighlightInfo

  Information about a layered highlight being painted by this highlighter.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `paintLayeredHighlights​(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)` | Restricts the region based on the receivers offsets and messages the painter to paint the region.

    - ### Methods inherited from interface javax.swing.text.Highlighter.Highlight

      `getEndOffset, getPainter, getStartOffset`

- - ### Method Detail

    - #### paintLayeredHighlights

          void paintLayeredHighlights​(Graphics g,
                                      int p0,
                                      int p1,
                                      Shape viewBounds,
                                      JTextComponent editor,
                                      View view)

      Restricts the region based on the receivers offsets and messages the painter to paint the region.